CMP(1)

NOM
cmp - Comparer deux fichiers octet par octet

SYNOPSIS
cmp [option] ... fichier1 [fichier2 [décal1 [décal2]]]

DESCRIPTION
Comparer deux fichiers octet par octet.

Les décal1 et décal2 facultatifs indiquent le nombre d'octets à sauter au début de chaque fichier (zéro par défaut).

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-b, --print-bytes
    Afficher les octets qui diffèrent.

-i, --ignore-initial=décal
    Sauter les décal premiers octets des deux entrées.

-i, --ignore-initial=décal1:décal2
    Sauter les décal1 premiers octets de fichier1 et les décal2 premiers octets de fichier2.

-l, --verbose
    Afficher les numéros et les valeurs des octets qui diffèrent.

-n, --bytes=limite
    Comparer au plus limite octets.

-s, --quiet, --silent
    Supprimer toute la sortie normale.

--help
    Afficher l'aide-mémoire et quitter.

-v, --version
    Afficher les informations de version et quitter.

Les valeurs décal peuvent être suivies d'un suffixe multiplicateur : kB 1000, K 1024, MB 1 000 000, M 1 048 576, GB 1 000 000 000, G 1 073 741 824 et de la même façon avec « T, P, E, Z, Y ».

Si un FICHIER vaut « - » ou est omis, l'entrée standard est lue. Le code de retour vaut 0 si les entrées sont identiques, 1 si elles diffèrent et 2 en cas de problème.

AUTEUR
Écrit par Torbjorn Granlund et David MacKenzie.

SIGNALER DES BOGUES
Signaler toute erreur à bug-diffutils@gnu.org
Page d'accueil de GNU diffutils : <https://www.gnu.org/software/diffutils/>
Aide globale pour l'utilisation de logiciels GNU : <URL:http://www.gnu.org/gethelp/>.

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
diff(1), diff3(1), sdiff(1)

La documentation complète de cmp est disponible dans un manuel Texinfo. Si les programmes info et cmp sont correctement installés, la commande

    info cmp

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.